<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        //
        Schema::table('partners', function (Blueprint $table) {
            $table->string('api_token',100)->nullable()->after('mobile');
            $table->timestamp('expire_at')->nullable()->after('api_token');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
        Schema::table('partners', function (Blueprint $table) {
            //
            $table->dropColumn('api_token');
            $table->dropColumn('expire_at');
        });
    }
};
